Commit c6826ae2 authored by dmorley's avatar dmorley

update readme with changes

parent 3f73d61f
...@@ -10,7 +10,6 @@ OS Dependencies: ...@@ -10,7 +10,6 @@ OS Dependencies:
``` ```
php7.2 php7.2-curl php7.2-pgsql php-geoip php7.2-cli php7.2-common php7.2-bcmath php7.2-json php7.2-readline php7.2-mbstring php7.2-xml php-cgi git curl postgresql postgresql-contrib dnsutils bind9 npm nodejs composer php7.2 php7.2-curl php7.2-pgsql php-geoip php7.2-cli php7.2-common php7.2-bcmath php7.2-json php7.2-readline php7.2-mbstring php7.2-xml php-cgi git curl postgresql postgresql-contrib dnsutils bind9 npm nodejs composer
``` ```
GeoIP needs setup normally with a dat file
Yarn is a separate install: https://yarnpkg.com Yarn is a separate install: https://yarnpkg.com
...@@ -54,13 +53,14 @@ run `db/pull.sh debug` to debug output ...@@ -54,13 +53,14 @@ run `db/pull.sh debug` to debug output
run `db/pull.sh sqldebug` to debug sql run `db/pull.sh sqldebug` to debug sql
run `db/pull.sh develop` to run without email alerts to end users run `db/pull.sh develop` to run without email alerts to end users
run `db/pull.sh Check_System_Deleted` to re-check system deleted pods as needed run `db/pull.sh Check_System_Deleted` to re-check system deleted pods as needed
These commands can be combined
# To Upgrade: # To Upgrade:
``` ```
git pull git pull
yarn install yarn install
composer install composer install
psql -U podupuser podupdb < db/migrationXXX.sql (see db/version.md for proper migration versions) psql -U podupuser podupdb < db/migrations/xxx.sql (see db/migrations/README.md for proper migration versions)
``` ```
# Status # Status
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment